import React from "react";
import Card from "@mui/material/Card";
import CardContent from "@mui/material/CardContent";
import CardMedia from "@mui/material/CardMedia";
import Typography from "@mui/material/Typography";
import { CardActionArea } from "@mui/material";
import { Link } from "@inertiajs/react";
export const DiscoverCard = (community) => {
  return (
    <>
    {community.community.map( (community,index) => (
    <Card
      sx={{
        maxWidth: "100%",
        marginTop: 4,
        marginBottom: 0,
        borderRadius: "20px",
        // boxShadow: "0px 4px 10px rgba(0, 0, 0, 0.1)",
        boxShadow: "1px 1px 20px 2px rgba(0,0,0,0.15)",
      }}
    >
      
      <Link href={route('post.community', community.id)}  className="text-dark hover:!no-underline">
      <CardActionArea>
        <CardContent className="pb-5">
          <Typography className="d-flex justify-between" component="div">
            <Typography
              className="!text-xl !font-semibold"
              gutterBottom
              variant="h3"
              component="div"
            >
              {community.title}
            </Typography>
            <Typography gutterBottom component="span">
              <svg
                xmlns="http://www.w3.org/2000/svg"
                width="2em"
                height="2em"
                viewBox="0 0 16 16"
              >
                <path
                  fill="currentColor"
                  fillRule="evenodd"
                  d="M1.25 8A.75.75 0 0 1 2 7.25h10.19L9.47 4.53a.75.75 0 0 1 1.06-1.06l4 4a.75.75 0 0 1 0 1.06l-4 4a.75.75 0 1 1-1.06-1.06l2.72-2.72H2A.75.75 0 0 1 1.25 8"
                  clipRule="evenodd"
                ></path>
              </svg>
            </Typography>
          </Typography>
          <Typography variant="p" className="text-[#022b697c] text-sm">
          {community.description}
          </Typography>
          <Typography
            variant="div"
            className="d-flex mt-3"
            color="text.secondary"
          >
            <Typography
              variant="span"
              className="relative w-16 "
              color="text.secondary"
            >
              <img
                className="h-5 w-5 rounded-full left-[5px] top-0 z-30  absolute"
                src="https://front.page/images/ea436f076c3144f04551215c38915fd6_medium.jpg"
              />
              <img
                className="h-5 w-5 rounded-full left-[20px] top-0 z-20 absolute"
                src="https://front.page/images/102afa009eccd272ebf9f3dcb9c03480_medium.jpg"
              />
              <img
                className="h-5 w-5 rounded-full left-[35px] top-0 absolute"
                src="https://front.page/images/0cdd2baf418d6107e347974d91c7ec22_medium.jpg"
              />
            </Typography>
          </Typography>
        </CardContent>
      </CardActionArea>
      </Link>


    </Card>
    ))}
    </>
  );
};
